Skip to main content

Get the workflow list

This endpoint returns the list of all workflows defined for your account. Workflows determine how translation or AI generation requests (descriptions, SEO) are processed.

Endpoint URL

https://api.ovesio.com/v1/workflows

Method

GET

Sample application

https://api.ovesio.com/v1/workflows

Parameters

This endpoint does not require any additional parameters.

Possible answers

Successful response (HTTP 200)

{
"success": true,
"data": [
{
"id": 1,
"type": "translate",
"name": "Default",
"is_default": 1
},
{
"id": 2,
"type": "generate_description",
"name": "AI Short Desc",
"is_default": 0
},
{
"id": 3,
"type": "generate_seo",
"name": "SEO Standard",
"is_default": 0
}
]
}

Each object in represents data a workflow. The available fields are:

FieldTypeDescription
IdintegerThe unique ID of the workflow.
TypestringWorkflow type: translate, generate_description , or generate_seo.
namestringThe name of the workflow (displayed in the interface).
is_defaultboolean (0 or 1)1 if it is the default workflow, 0 otherwise.

Error Response (HTTP 400)

{
"success": false,
"errors": []
}

In the event of an error, the response also includes success: false a list of corresponding errors in the errorsfield.

Integration examples

You can check out examples of integration available on the official GitHub Ovesio page.